Bug 1155786 - Remove java* provides from java-1.8.0-openjdk [RHEL-7.1]
Summary: Remove java* provides from java-1.8.0-openjdk [RHEL-7.1]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 7.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: jiri vanek
QA Contact: Lukáš Zachar
URL:
Whiteboard:
Depends On: 1155783
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-22 19:44 UTC by Deepak Bhole
Modified: 2015-03-18 09:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1155783
Environment:
Last Closed: 2015-03-05 10:58:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0493 normal SHIPPED_LIVE new packages: java-1.8.0-openjdk 2015-03-05 15:43:31 UTC

Description Deepak Bhole 2014-10-22 19:44:47 UTC
+++ This bug was initially created as a clone of Bug #1155783 +++

The current OpenJDK8 RPMs in RHEL provide java* instead of java8*. This is causing them to get pulled into brew builds when they shouldn't be.

We should fix the packages asap to make them provide java8* much like OpenJDK7 RPMs provide java7*.

Comment 1 Deepak Bhole 2014-10-22 20:03:40 UTC
On second thought, rather than replacing with java8*, we should just remove them altogether to prevent customers from depending on the provides that may end up getting removed in the future. Thanks to Omair for pointing this out.

Comment 2 jiri vanek 2014-10-23 08:13:12 UTC
Please before any action, read https://bugzilla.redhat.com/show_bug.cgi?id=1155783#c2

Comment 3 jiri vanek 2014-10-24 10:06:54 UTC
pushed and building

Comment 7 errata-xmlrpc 2015-03-05 10:58:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0493.html


Note You need to log in before you can comment on or make changes to this bug.